Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Latest minitest-reporters 0.14.15 breaks the tests #684

Closed
jamieoliver opened this Issue · 0 comments

1 participant

@jamieoliver
Collaborator

For example from Travis build 95.2 https://travis-ci.org/gollum/gollum/jobs/6081732

bundle exec rake
/home/travis/.rvm/rubies/ruby-1.9.3-p327/bin/ruby -I"lib:lib:test:." -I"/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib" "/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb" "test/**/test_*.rb" 
/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/minitest-reporters-0.14.15/lib/minitest/reporters.rb:88:in `use_old_activesupport_fix!': uninitialized constant ActiveSupport::VERSION (NameError)
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/minitest-reporters-0.14.15/lib/minitest/reporters.rb:28:in `use!'
    from /home/travis/build/gollum/gollum/test/helper.rb:9:in `<top (required)>'
    from /home/travis/build/gollum/gollum/test/test_app.rb:2:in `require'
    from /home/travis/build/gollum/gollum/test/test_app.rb:2:in `<top (required)>'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:10:in `require'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:10:in `block (2 levels) in <main>'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:9:in `each'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:9:in `block in <main>'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:4:in `select'
    from /home/travis/.rvm/gems/ruby-1.9.3-p327/gems/rake-10.0.4/lib/rake/rake_test_loader.rb:4:in `<main>'
rake aborted!
@jamieoliver jamieoliver referenced this issue from a commit in jamieoliver/gollum
Jamie Oliver Downgrade minitest-reporters. Temporary fix for #684 f5f5ad7
@jamieoliver jamieoliver referenced this issue from a commit in jamieoliver/gollum-lib
Jamie Oliver Downgrade minitest-reporters. Temporary fix for gollum/gollum#684 617d62b
@jamieoliver jamieoliver was assigned
@jamieoliver jamieoliver closed this issue from a commit
Jamie Oliver Upgrade minitest-reporters. Fixes #684 04f9be1
@jamieoliver jamieoliver referenced this issue from a commit in jamieoliver/gollum-lib
Jamie Oliver Upgrade minitest-reporters. Fixes gollum/gollum#684 59319e9
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.